Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161096 - CAN-2005-1992 ruby arbitrary command execution on XMLRPC server
Summary: CAN-2005-1992 ruby arbitrary command execution on XMLRPC server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard: public=20050617,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 15:28 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.8.2-7.fc4.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 17:08:12 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-20 15:28:46 UTC
+++ This bug was initially created as a clone of Bug #161095 +++

I ran across this issue in the Debian BTS:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=315064
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/5237

It seems that by executing an XMLRPC server in ruby in this manner:
s.add_handler(XMLRPC::iPIMethods("sample")

It becomes possible to execute any arbitrary commands within the XMLRPC
server.

Comment 1 Akira TAGOH 2005-06-21 17:08:12 UTC
Fixed in ruby-1.8.2-1.fc3.3 for FC3 and ruby-1.8.2-7.fc4.2 for FC4.


Note You need to log in before you can comment on or make changes to this bug.